Bug 1785661 - [Support] Running VMs are disappearing from the cluster for unknown reason
Summary: [Support] Running VMs are disappearing from the cluster for unknown reason
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Container Native Virtualization (CNV)
Classification: Red Hat
Component: Virtualization
Version: 2.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 2.2.0
Assignee: Igor Bezukh
QA Contact: zhe peng
URL:
Whiteboard:
Depends On: 1786475
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-12-20 15:49 UTC by Jean-Francois Saucier
Modified: 2020-07-02 14:38 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-30 16:27:36 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2020:0307 None None None 2020-01-30 16:27:52 UTC

Comment 7 Dan Kenigsberg 2020-01-07 07:09:49 UTC
We suspect that this is a dup of bug 1778723

Comment 8 Dan Kenigsberg 2020-01-07 07:15:29 UTC
(In reply to Dan Kenigsberg from comment #7)
> We suspect that this is a dup of bug 1778723

Sorry: we suspect that this is a dip of bug 1786475.

Comment 11 Omer Yahud 2020-01-07 09:24:25 UTC
Hi, sorry for the late response.

Cross namespace ownership might be the issue, 
Roman's PR might solve it: https://github.com/kubevirt/kubevirt/pull/2958

Waiting for the PR to be merged in order to test if it works as expected.

Comment 26 zhe peng 2020-01-21 08:05:45 UTC
verify step:
deploy OCP4.3+CNV2.2
create resource and vms 
cluster running long time(>5days)
check resource and vms
reboot master nodes and check vm 

test on two env.
env. one:
Client Version: 4.3.0-0.nightly-2020-01-15-025207
Server Version: 4.3.0-0.nightly-2020-01-15-025207
Kubernetes Version: v1.16.2

$ oc get dv
NAME                 AGE
hostpath-dv-source   20h
mytest-disk0         5d

$ oc get vm
NAME        AGE    RUNNING   VOLUME
example1    5d1h   true      
example2    5d1h   true      
example3    5d1h   true      
example4    5d1h   true      
mytest      5d     true      
stress-vm   55s    true      
vm-cirros   5d1h   true      
vm-hpp      20h    true      

$ oc get vmi
NAME        AGE    PHASE     IP             NODENAME
example1    5d1h   Running   10.131.0.40    host-172-16-0-32
example2    5d1h   Running   10.128.0.48    host-172-16-0-21
example3    5d1h   Running   10.128.0.49    host-172-16-0-21
example4    5d1h   Running   10.129.2.37    host-172-16-0-47
mytest      24h    Running   10.129.3.79    host-172-16-0-47
vm-cirros   5d1h   Running   10.131.0.39    host-172-16-0-32
vm-hpp      20h    Running   10.131.1.189   host-172-16-0-32

$ oc get pvc
NAME                 STATUS   VOLUME                                     CAPACITY   ACCESS MODES   STORAGECLASS           AGE
hostpath-dv-source   Bound    pvc-a16db86f-d452-474b-9be5-c21c12e9424a   39Gi       RWO            hostpath-provisioner   20h
mytest-disk0         Bound    pvc-f7c23777-a14f-47f1-8625-9b7666d6221d   2Gi        RWX            rook-ceph-block        5d
mytestpvc            Bound    pvc-f162c9e5-e754-448e-be47-3bd0c4a93ff8   1Gi        RWO            rook-ceph-block        5d

env. two:
Client Version: 4.3.0-0.nightly-2020-01-11-070223
Server Version: 4.3.0-0.nightly-2020-01-11-070223
Kubernetes Version: v1.16.2

$ oc get dv
NAME        AGE
fedora-dv   7d18h
rhel-dv     7d19h
$ oc get vm
NAME                   AGE     RUNNING   VOLUME
vm-fedora-datavolume   7d18h   true      
vm-rhel-datavolume     7d19h   true      
$ oc get pods
NAME                                       READY   STATUS    RESTARTS   AGE
virt-launcher-vm-fedora-datavolume-hql6z   1/1     Running   0          7d18h
virt-launcher-vm-rhel-datavolume-9xvbp     1/1     Running   0          7d18h
$ oc get vmi
NAME                   AGE     PHASE     IP               NODENAME
vm-fedora-datavolume   7d18h   Running   10.131.0.48      host-172-16-0-25
vm-rhel-datavolume     7d18h   Running   10.130.0.48/23   host-172-16-0-39

there is no vm disappear, move to verified

Comment 28 errata-xmlrpc 2020-01-30 16:27:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2020:0307


Note You need to log in before you can comment on or make changes to this bug.